PIDOF(1)

NAME
pidof - finds processes by name and lists their PIDs

SYNOPSIS
pidif [-eg] name ...
pidof -V

DESCRIPTION
pidof lists the PIDs of all processes running any of the specified commands.

If the command name contains a slash (/), processes executing that particular file will be selected, independent of their name.

pidof returns a non-zero return code if no process has been found for any of the listed commands. If at least one process has been found for each command, pidof returns zero.

OPTIONS

-e  Require an exact match for very long names. If a command name is longer than 15 characters, the full name may be unavailable (i.e. it is swapped out). In this case, pidof will list everything that matches within the first 15 characters. With -e, such entries are silently skipped.

-g  Show process group IDs instead of process IDs. If multiple processes with the same process group ID were found, only the first process is shown.

-V  Display version information.

FILES
/proc	location of the proc file system

KNOWN BUGS
Selection by file only works for executables that are kept open during execution, i.e. impure executables can't be selected this way.

AUTHOR
Werner Almesberger <Werner.Almesberger@epfl.ch>

SEE ALSO
killall(1), fuser(1), ps(1)